clang 10.0.0git

Public Member Functions | Protected Member Functions | List of all members
clang::targets::SolarisTargetInfo< Target > Class Template Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Basic/Targets/OSTargets.h"`

Inheritance diagram for clang::targets::SolarisTargetInfo< Target >:
[legend]
Collaboration diagram for clang::targets::SolarisTargetInfo< Target >:
[legend]

## Public Member Functions
| SolarisTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
Public Member Functions inherited from clang::targets::OSTargetInfo< Target >
| OSTargetInfo (const llvm::Triple &Triple, const TargetOptions &Opts)
void | getTargetDefines (const LangOptions &Opts, MacroBuilder &Builder) const override

## Protected Member Functions
void | getOSDefines (const LangOptions &Opts, const llvm::Triple &Triple, MacroBuilder &Builder) const override

## Detailed Description

### template<typename Target>
class clang::targets::SolarisTargetInfo< Target >

Definition at line 609 of file OSTargets.h.

## Constructor & Destructor Documentation

## ◆ SolarisTargetInfo()

template<typename Target>

clang::targets::SolarisTargetInfo< Target >::SolarisTargetInfo | ( | const llvm::Triple & | Triple,
|  | const TargetOptions & | Opts
| ) |  |
| inline

Definition at line 641 of file OSTargets.h.

References clang::Target.

## Member Function Documentation

## ◆ getOSDefines()

template<typename Target>

void clang::targets::SolarisTargetInfo< Target >::getOSDefines | ( | const LangOptions & | Opts,
|  | const llvm::Triple & | Triple,
|  | MacroBuilder & | Builder
| ) |  | const
| inline override protected virtual

Implements clang::targets::OSTargetInfo< Target >.

Definition at line 611 of file OSTargets.h.

References clang::MacroBuilder::defineMacro(), and clang::targets::DefineStd().

The documentation for this class was generated from the following file:

- lib/Basic/Targets/OSTargets.h